import {lazy} from 'react';
import i18next from 'i18next';

import {
  getExactRoute,
  //getHiddenRoute
} from 'util/react';

import EN from './i18n/en.json';
import LT from './i18n/lt.json'

i18next.addResourceBundle('en', 'company', EN);
i18next.addResourceBundle('lt', 'company', LT);

export const CompaniesListRoute = getExactRoute('company', 'menu.main', '/company', lazy(() => import('./layout/CompaniesListLayout')), null, []);
//export const CompaniesEditRoute = getHiddenRoute('company', 'menu.main', '/company/:id', lazy(() => import('./layout/CompaniesEditLayout')), null, []);
//export const CompaniesCreateRoute = getHiddenRoute('company', 'menu.listmain', '/company/new', lazy(() => import('./layout/CompaniesEditLayout')), null, []);


const CompaniesRoute = (
  <>
    {CompaniesListRoute}
    {/* {CompaniesCreateRoute} */}
    {/* {CompaniesEditRoute} */}
  </>
);

export default CompaniesRoute;
